# OsiOldLink Class Reference

`#include <CbcLinked.hpp>`

Inheritance diagram for OsiOldLink:
[legend]
Collaboration diagram for OsiOldLink:
[legend]

List of all members.

## Public Member Functions
| OsiOldLink ()
| OsiOldLink (const OsiSolverInterface *solver, int numberMembers, int numberLinks, int first, const double *weights, int setNumber)
| Useful constructor - A valid solution is if all variables are zero apart from k*numberLink to (k+1)*numberLink-1 where k is 0 through numberInSet-1.
| OsiOldLink (const OsiSolverInterface *solver, int numberMembers, int numberLinks, int typeSOS, const int *which, const double *weights, int setNumber)
| Useful constructor - A valid solution is if all variables are zero apart from k*numberLink to (k+1)*numberLink-1 where k is 0 through numberInSet-1.
| OsiOldLink (const OsiOldLink &)
virtual OsiObject * | clone () const
| Clone.
OsiOldLink & | operator= (const OsiOldLink &rhs)
virtual | ~OsiOldLink ()
virtual double | infeasibility (const OsiBranchingInformation *info, int &whichWay) const
| Infeasibility - large is 0.5.
virtual double | feasibleRegion (OsiSolverInterface *solver, const OsiBranchingInformation *info) const
| Set bounds to fix the variable at the current (integer) value.
virtual OsiBranchingObject * | createBranch (OsiSolverInterface *solver, const OsiBranchingInformation *info, int way) const
| Creates a branching object.
virtual void | resetSequenceEtc (int numberColumns, const int *originalColumns)
| Redoes data when sequence numbers change.
int | numberLinks () const
| Number of links for each member.
virtual bool | canDoHeuristics () const
| Return true if object can take part in normal heuristics.
virtual bool | boundBranch () const
| Return true if branch should only bound variables.
## Private Attributes
int | numberLinks_
| data

## Detailed Description

Definition at line 434 of file CbcLinked.hpp.

## Constructor & Destructor Documentation

OsiOldLink::OsiOldLink | ( |  | ) |

OsiOldLink::OsiOldLink | ( | const OsiSolverInterface * | solver,
|  | int | numberMembers,
|  | int | numberLinks,
|  | int | first,
|  | const double * | weights,
|  | int | setNumber |
| ) |  |  |

Useful constructor - A valid solution is if all variables are zero apart from k*numberLink to (k+1)*numberLink-1 where k is 0 through numberInSet-1.

The length of weights array is numberInSet. For this constructor the variables in matrix are the numberInSet*numberLink starting at first. If weights null then 0,1,2..

OsiOldLink::OsiOldLink | ( | const OsiSolverInterface * | solver,
|  | int | numberMembers,
|  | int | numberLinks,
|  | int | typeSOS,
|  | const int * | which,
|  | const double * | weights,
|  | int | setNumber |
| ) |  |  |

Useful constructor - A valid solution is if all variables are zero apart from k*numberLink to (k+1)*numberLink-1 where k is 0 through numberInSet-1.

The length of weights array is numberInSet. For this constructor the variables are given by list - grouped. If weights null then 0,1,2..

OsiOldLink::OsiOldLink | ( | const OsiOldLink & |  | ) |

virtual OsiOldLink::~OsiOldLink | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual OsiObject* OsiOldLink::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from OsiSOS.

OsiOldLink& OsiOldLink::operator= | ( | const OsiOldLink & | rhs | ) |

Reimplemented from OsiSOS.

virtual double OsiOldLink::infeasibility | ( | const OsiBranchingInformation * | info,
|  | int & | whichWay |
| ) |  |  | const`[virtual]`

Infeasibility - large is 0.5.

Reimplemented from OsiSOS.

virtual double OsiOldLink::feasibleRegion | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info |
| ) |  |  | const`[virtual]`

Set bounds to fix the variable at the current (integer) value.

Given an integer value, set the lower and upper bounds to fix the variable. Returns amount it had to move variable.

Reimplemented from OsiSOS.

virtual OsiBranchingObject* OsiOldLink::createBranch | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | int | way |
| ) |  |  | const`[virtual]`

Creates a branching object.

The preferred direction is set by `way`, 0 for down, 1 for up.

Reimplemented from OsiSOS.

virtual void OsiOldLink::resetSequenceEtc | ( | int | numberColumns,
|  | const int * | originalColumns |
| ) |  |  | `[virtual]`

Redoes data when sequence numbers change.

Reimplemented from OsiSOS.

int OsiOldLink::numberLinks | ( |  | ) | const`[inline]`

Number of links for each member.

Definition at line 494 of file CbcLinked.hpp.

virtual bool OsiOldLink::canDoHeuristics | ( |  | ) | const`[inline, virtual]`

Return true if object can take part in normal heuristics.

Reimplemented from OsiSOS.

Definition at line 500 of file CbcLinked.hpp.

virtual bool OsiOldLink::boundBranch | ( |  | ) | const`[inline, virtual]`

Return true if branch should only bound variables.

Reimplemented from OsiObject.

Definition at line 505 of file CbcLinked.hpp.

## Member Data Documentation

int OsiOldLink::numberLinks_`[private]`

data

Number of links

Definition at line 513 of file CbcLinked.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcLinked.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines